<?xml version='1.0' encoding='utf-8'?>
<root>
    <world>
        <background backgroundRect="0:0:0:0"/>
        <walls>
            <wall id="" begin="0:-91" end="150:-91"/>
			<wall id="" begin="150:-91" end="150:-214"/>
			<wall id="" begin="150:-214" end="394:-214"/>
			<wall id="" begin="394:-214" end="394:-91"/>
			<wall id="" begin="394:-91" end="544:-91"/>
			<wall id="" begin="544:-91" end="544:-306"/>
			<wall id="" begin="544:-306" end="788:-306"/>
			<wall id="" begin="788:-306" end="788:-91"/>
			<wall id="" begin="788:-91" end="938:-91"/>
			<wall id="" begin="938:-91" end="938:-302"/>
			<wall id="" begin="938:-302" end="1179:-302"/>
			<wall id="" begin="1179:-302" end="1179:-91"/>
			<wall id="" begin="1179:-91" end="1329:-91"/>
			<wall id="" begin="1329:-91" end="1329:-231"/>
			<wall id="" begin="1329:-231" end="1553:-231"/>
			<wall id="" begin="1553:-231" end="1553:-91"/>
			<wall id="" begin="1553:-91" end="1703:-91"/>
			<wall id="" begin="1703:-91" end="1703:-210"/>
			<wall id="" begin="1703:-210" end="1952:-210"/>
			<wall id="" begin="1952:-210" end="1952:-91"/>
			<wall id="" begin="1952:-91" end="2102:-91"/>
			<wall id="" begin="2102:-91" end="2102:-296"/>
			<wall id="" begin="2102:-296" end="2391:-296"/>
			<wall id="" begin="2391:-296" end="2391:-91"/>
			<wall id="" begin="2391:-91" end="2541:-91"/>
			<wall id="" begin="2541:-91" end="2541:-311"/>
			<wall id="" begin="2541:-311" end="2782:-311"/>
			<wall id="" begin="2782:-311" end="2782:-91"/>
			<wall id="" begin="2782:-91" end="2932:-91"/>
			<wall id="" begin="2932:-91" end="2932:100"/>
		</walls>
        <colorFields/>
        <images/>
        <regions>
			<region height="56" filled="true" type="rectangle" text="Старт" x="-3" width="56" y="-3" visible="true" textX="0" id="start" color="#0000ff" textY="0"/>
			<region height="220" width="241" x="2541" y="-311" filled="true" type="rectangle" text="" visible="true" textX="6" id="finish" color="#ff0000" textY="5"/> 
		</regions>
    </world>
	
    <robots>
        <robot position="0:0" id="trikKitRobot" direction="0">
            <sensors>
                <sensor port="D1###input######sensorD1" type="trik::robotModel::parts::TrikSonarSensor" direction="0" position="58:25"/>
                <sensor port="D2###input######sensorD2" type="trik::robotModel::parts::TrikSonarSensor" direction="-90" position="42:-6"/>
            </sensors>
            <startPosition x="25" y="25" id="{20f357fb-9df5-4652-90c0-8cc83f3d32c8}" direction="0"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
	
    <constraints>
        <timelimit value="240000"/>
        <constraint checkOnce="true" failMessage="Уробота не должно быть датчиков, кроме датчиков расстояния в портах D1 и D2">
            <conditions glue="and">
            	 <equals>
                    <typeOf objectId="robot1.A1"/>
                    <string value="undefined"/>
                </equals>
                 <equals>
                    <typeOf objectId="robot1.A2"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A3"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.F1"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>
	
	<constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
			<inside objectId="robot1" regionId="start"/>
		</constraint>
		
		
		<event settedUpInitially="true">
			<conditions glue = "and">
				<not><inside objectId="robot1" regionId="finish"/></not>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
				<equals>
					<objectState object="robot1.display.labels.first.text"/>
					<string value="finish"/>
				</equals>
			</conditions>
			<trigger>
				<fail message="Робот финишировал не в зоне финиша"/>
			</trigger>
		</event>
		
		
		<event settedUpInitially="true">
			<conditions glue = "and">
				<inside objectId="robot1" regionId="finish"/>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
				<equals>
					<objectState object="robot1.display.labels.first.text"/>
					<string value="finish"/>
				</equals>
			</conditions>
			<trigger>
				<success/>
			</trigger>
		</event>
	</constraints>

</root>
